Loading...
Searching...
No Matches
AVSubtitle Struct Reference
libavcodec » Core functions/structures.

`#include <libavcodec/avcodec.h>`

## Data Fields

uint16_t | format
uint32_t | start_display_time
uint32_t | end_display_time
unsigned | num_rects
AVSubtitleRect ** | rects
int64_t | pts
| Same as packet pts, in AV_TIME_BASE.

## Detailed Description

Definition at line 2094 of file avcodec.h.

## Field Documentation

## format

uint16_t AVSubtitle::format

Definition at line 2095 of file avcodec.h.

## start_display_time

uint32_t AVSubtitle::start_display_time

Definition at line 2096 of file avcodec.h.

## end_display_time

uint32_t AVSubtitle::end_display_time

Definition at line 2097 of file avcodec.h.

## num_rects

unsigned AVSubtitle::num_rects

Definition at line 2098 of file avcodec.h.

## rects

AVSubtitleRect** AVSubtitle::rects

Definition at line 2099 of file avcodec.h.

## pts

int64_t AVSubtitle::pts

Same as packet pts, in AV_TIME_BASE.

Definition at line 2100 of file avcodec.h.

The documentation for this struct was generated from the following file:

- libavcodec/avcodec.h